<template>
  <div>
    <div v-if="isLoading" class="row col">
      <p>Loading..</p>
    </div>
    <div v-else-if="hasError" class="row col">
      <div class="alert alert-danger" role="alert">
        {{ error }}
      </div>
    </div>
    <div v-else-if="!hasRemarks" class="row col">
      <p class="alert color-green"> {{ this.message }} </p>
    </div>
    <div v-else v-for="item in remarks.remarks" :key="item.id">
      <BlockRemark :remark="item"></BlockRemark>
    </div>
  </div>
</template>

<script>
import BlockRemark from "./BlockRemark";

export default {
  name: "RemarkItem",
  components: {BlockRemark},
  props: {
    message: {
      type: String
    },
    help: {
      type: String
    }
  },
  data() {
    return {
      emptyItems: true,
      isArray: false
    }
  },
  computed: {
    isLoading() {
      return this.$store.getters['remark/isLoading']
    },
    hasError(){
      return this.$store.getters['remark/hasError']
    },
    error() {
      return this.$store.getters['remark/error']
    },
    hasRemarks() {
      return this.$store.getters['remark/hasRemarks']
    },
    remarks() {
      return this.$store.getters['remark/remarks']
    }
  },
  created() {
    this.$store.dispatch('remark/findAll', this.help)
  },
}
</script>

<style scoped>

</style>